com.sun.mail.gimap.protocol

## Class GmailSearchSequence

- java.lang.Object
- - com.sun.mail.imap.protocol.SearchSequence
  - - com.sun.mail.gimap.protocol.GmailSearchSequence

-     public class GmailSearchSequence
      extends SearchSequence

  Support Gmail-specific search extensions.
  Since:
    JavaMail 1.4.6
  Author:
    Bill Shannon

- - ### Field Summary

    - ### Fields inherited from class com.sun.mail.imap.protocol.SearchSequence

      `cal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GmailSearchSequence()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Argument` | `generateSequence(SearchTerm term, String charset)` Generate the IMAP search sequence for the given search expression.
    `protected Argument` | `gmailMsgidSearch(GmailMsgIdTerm term)`
    `protected Argument` | `gmailRawSearch(GmailRawSearchTerm term, String charset)`
    `protected Argument` | `gmailThridSearch(GmailThrIdTerm term)`

    - ### Methods inherited from class com.sun.mail.imap.protocol.SearchSequence

      `and, body, flag, from, header, isAscii, isAscii, isAscii, messageid, modifiedSince, not, older, or, receiveddate, recipient, sentdate, size, subject, toIMAPDate, younger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GmailSearchSequence

          public GmailSearchSequence()

  - ### Method Detail

    - #### generateSequence

          public Argument generateSequence(SearchTerm term,
                                  String charset)
                                    throws SearchException,
                                           IOException

      Description copied from class: `SearchSequence`
      Generate the IMAP search sequence for the given search expression.
      Overrides:
        `generateSequence` in class `SearchSequence`
      Parameters:
        `term` - the search term
        `charset` - charset for the search
      Returns:
        the SEARCH Argument
      Throws:
        `SearchException` - for failures
        `IOException` - for I/O errors

    - #### gmailMsgidSearch

          protected Argument gmailMsgidSearch(GmailMsgIdTerm term)
                                       throws IOException

      Throws:
        `IOException`

    - #### gmailThridSearch

          protected Argument gmailThridSearch(GmailThrIdTerm term)
                                       throws IOException

      Throws:
        `IOException`

    - #### gmailRawSearch

          protected Argument gmailRawSearch(GmailRawSearchTerm term,
                                String charset)
                                     throws IOException

      Throws:
        `IOException`

Copyright © 2016 Oracle. All rights reserved.